﻿/**Begin D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_POINTTAGLOG' AND KSQL_COL_NAME IN ('FDEVICEID')) 
 ALTER TABLE T_WTPM_POINTTAGLOG ADD (FDEVICEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_ONCECARD' AND KSQL_COL_NAME IN ('FATTFILEBOID')) 
 ALTER TABLE T_WTPM_ONCECARD ADD (FATTFILEBOID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_ONCECARD' AND KSQL_COL_NAME IN ('FWEEK')) 
 ALTER TABLE T_WTPM_ONCECARD ADD (FWEEK VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_ONCECARD' AND KSQL_COL_NAME IN ('FDATETYPEID')) 
 ALTER TABLE T_WTPM_ONCECARD ADD (FDATETYPEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_ONCECARD' AND KSQL_COL_NAME IN ('FDEVICEID')) 
 ALTER TABLE T_WTPM_ONCECARD ADD (FDEVICEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_MULTICARD' AND KSQL_COL_NAME IN ('FATTFILEBOID')) 
 ALTER TABLE T_WTPM_MULTICARD ADD (FATTFILEBOID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_MULTICARD' AND KSQL_COL_NAME IN ('FWEEK')) 
 ALTER TABLE T_WTPM_MULTICARD ADD (FWEEK VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_MULTICARD' AND KSQL_COL_NAME IN ('FDATETYPEID')) 
 ALTER TABLE T_WTPM_MULTICARD ADD (FDATETYPEID BIGINT DEFAULT 0 NOT NULL );
-- FADDRESS已经在kd_1.5.153_wtpm_table.sql建表时设置为255，不再处理缩小
-- EXEC p_AlterColumn 'T_WTPM_MULTICARDENTRY', 'FADDRESS', 'VARCHAR(200)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_MULTICARDENTRY' AND KSQL_COL_NAME IN ('FDEVICEID')) 
 ALTER TABLE T_WTPM_MULTICARDENTRY ADD (FDEVICEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTPM_LACKCARD') 
 CREATE TABLE T_WTPM_LACKCARD (
FID BIGINT DEFAULT 0 NOT NULL,
FATTPERSONID BIGINT DEFAULT 0 NOT NULL,
FATTCARD VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHIFTDATE DATETIME,
FSHIFTID BIGINT DEFAULT 0 NOT NULL,
FATTMODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FWEEK VARCHAR(10) DEFAULT ' ' NOT NULL,
FDATETYPEID BIGINT DEFAULT 0 NOT NULL,
FLACKPOINT DATETIME,
FPOINTDESCID BIGINT DEFAULT 0 NOT NULL,
FATTFILEBOID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FATTFILEID BIGINT DEFAULT 0 NOT NULL,
FLACKPOINTUTC DATETIME,
FTIMEZONEID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_PUNCHCARDEQUIP' AND KSQL_COL_NAME IN ('FADDRESS')) 
 ALTER TABLE T_WTPM_PUNCHCARDEQUIP ADD (FADDRESS NVARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_PUNCHCARDEQUIP_L' AND KSQL_COL_NAME IN ('FADDRESS')) 
 ALTER TABLE T_WTPM_PUNCHCARDEQUIP_L ADD (FADDRESS NVARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_CHECKCARD' AND KSQL_COL_NAME IN ('FATTFILEBOID')) 
 ALTER TABLE T_WTPM_CHECKCARD ADD (FATTFILEBOID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_CHECKCARD' AND KSQL_COL_NAME IN ('FWEEK')) 
 ALTER TABLE T_WTPM_CHECKCARD ADD (FWEEK VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_CHECKCARD' AND KSQL_COL_NAME IN ('FDATETYPEID')) 
 ALTER TABLE T_WTPM_CHECKCARD ADD (FDATETYPEID BIGINT DEFAULT 0 NOT NULL );
-- FADDRESS已经在kd_1.5.153_wtpm_table.sql建表时设置为255，不再处理缩小
-- EXEC p_AlterColumn 'T_WTPM_CHECKCARDENTRY', 'FADDRESS', 'VARCHAR(200)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_CHECKCARDENTRY' AND KSQL_COL_NAME IN ('FDEVICEID')) 
 ALTER TABLE T_WTPM_CHECKCARDENTRY ADD (FDEVICEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_CHECKCARDENTRY' AND KSQL_COL_NAME IN ('FMATCHDATE')) 
 ALTER TABLE T_WTPM_CHECKCARDENTRY ADD (FMATCHDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_WTPM_CHECKCARDENTRY' AND KSQL_COL_NAME IN ('FATTPERSONID')) 
 ALTER TABLE T_WTPM_CHECKCARDENTRY ADD (FATTPERSONID BIGINT DEFAULT 0 NOT NULL );

/**End D:\PDM_UPGRADE\PDM1\WTPM_table.sql **/
